import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_document_reader_core_full/flutter_document_reader_core_full.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_document_reader_core');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await FlutterDocumentReaderCore.platformVersion, '42');
  });
}
